/*
 * Copyright (C) 2001-2004 Red Hat Inc. All Rights Reserved.
 *
 * The contents of this file are subject to the CCM Public
 * License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the
 * License at http://www.redhat.com/licenses/ccmpl.html.
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language
 * governing rights and limitations under the License.
 *
 */
package com.arsdigita.mail;

// JUnit classes
import junit.framework.*;

// aD extensions
import com.arsdigita.tools.junit.extensions.BaseTestSetup;
import com.arsdigita.tools.junit.extensions.CoreTestSetup;
import com.arsdigita.tools.junit.framework.PackageTestSuite;

/**
 * MailSuite
 *
 * Test suite for the ACS Mail package.
 *
 * @version $Id: //core-platform/dev/test/src/com/arsdigita/mail/MailSuite.java#8 $
 */

public class MailSuite extends PackageTestSuite {

    public static final String versionId = "$Id: //core-platform/dev/test/src/com/arsdigita/mail/MailSuite.java#8 $ by $Author: dennis $, $DateTime: 2004/04/07 16:07:11 $";
    public MailSuite() {
        super();
    }

    public MailSuite(Class theClass) {
        super(theClass);
    }

    public MailSuite(String name) {
        super(name);
    }

    public static Test suite() {
        MailSuite suite = new MailSuite();
        populateSuite(suite);
        BaseTestSetup wrapper = new CoreTestSetup(suite);
        return wrapper;
    }

    public static void main(String[] args) throws Exception {
        junit.textui.TestRunner.run(suite());
    }
}
